"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const benchmark_1 = require("benchmark");
const __1 = require("../");
const algorithms_1 = require("./algorithms");
const suite = new benchmark_1.Suite();
algorithms_1.default.forEach(algorithm => __1.puzzles.forEach(puzzle => suite.add(`solving ${puzzle.name} puzzle using ${algorithm.name} algorithm`, () => algorithm.fn(puzzle.rows, puzzle.words, __1.Directions))));
suite.on("cycle", (evt) => console.log(evt.target.toString()));
// TODO: Print Full Report
suite.run();
//# sourceMappingURL=benchmark.js.map