"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../");
const algorithms_1 = require("./algorithms");
algorithms_1.default.forEach(algorithm => describe(`${algorithm.name} solver`, () => __1.puzzles.forEach(puzzle => it(`should solve the ${puzzle.name} puzzle`, () => {
    const matches = algorithm.fn(puzzle.rows, puzzle.words, __1.Directions);
    expect(new Set(matches.map(match => match.word))).toEqual(new Set(puzzle.words));
}))));
//# sourceMappingURL=search.test.js.map